import { $postParam, $post } from "@/plugins/axios";

export const examStructureFindJpg = (datas) => {
  return $postParam("/api/admin/exam/card/find_jpg_file", datas);
};
// mark-entrance
export const markTaskListPage = (datas) => {
  return $postParam("/api/admin/mark/entrance/list", datas);
};

// mark-setting --------->
export const markSettingListPage = (datas) => {
  return $postParam("/api/admin/mark/setting/list", datas);
};
export const markSettingDetail = (datas) => {
  return $postParam("/api/admin/mark/setting/paper/get", datas);
};
export const markSettingSave = (datas) => {
  return $post("/api/admin/mark/setting/paper/save", datas);
};
export const markSettingBatchSave = (datas) => {
  return $post("/api/admin/mark/setting/paper/batch_save", datas);
};
// mark-params --------->
export const markParamStepStatus = (datas) => {
  return $postParam("/api/admin/mark/question/subjective/step/status", datas);
};
// structure
export const markStructureList = (datas) => {
  return $postParam("/api/admin/mark/question/list", datas);
};
export const markStructureSave = (datas) => {
  return $post("/api/admin/mark/question/save", datas);
};
// subjective question
export const markSubjectiveList = (datas) => {
  return $postParam("/api/admin/mark/question/subjective/list", datas);
};
export const markSubjectiveBindMarker = (datas) => {
  return $post("/api/admin/mark/marker/add", datas);
};
// 和 markMarkerUnbind 地址 一样
export const markSubjectiveUnbindMarker = (datas) => {
  return $postParam("/api/admin/mark/marker/delete", datas);
};
export const markSubjectiveUpdateMarkType = (datas) => {
  return $post("/api/admin/mark/question/subjective/double/mark/update", datas);
};
export const markSubjectiveUpdateMarkArea = (datas) => {
  return $post(
    "/api/admin/mark/question/subjective/picture/config/update",
    datas
  );
};
// 设置ai智能评卷参数
export const markSubjectiveAiParamInfo = (questionId) => {
  return $postParam("/api/admin/mark/ai_question_param/info", { questionId });
};
export const markSubjectiveAiParamSave = (datas) => {
  return $post("/api/admin/mark/ai_question_param/save", datas);
};

// class
export const markClassStatusUpdate = (datas) => {
  return $postParam("/api/admin/mark/class/update", datas);
};
export const markClassList = (datas) => {
  return $postParam("/api/admin/mark/class/list", datas);
};
export const markClassSave = (datas) => {
  return $post("/api/admin/mark/class/save", datas);
};
export const examStructureClassListPage = (datas) => {
  // examId,paperNumber
  return $postParam("/api/admin/exam/structure/list_user_class", datas);
};

// objective question answer
export const markObjectiveQuestionList = (datas) => {
  return $postParam("/api/admin/mark/question/objective/list", datas);
};
export const markObjectiveQuestionSave = (datas) => {
  return $post("/api/admin/mark/question/objective/save", datas);
};
export const markObjectiveQuestionExport = (datas) => {
  return $postParam("/api/admin/mark/question/objective/export", datas, {
    responseType: "blob",
  });
};
// subjective question answer
export const markSubjectiveQuestionList = (datas) => {
  return $postParam("/api/admin/mark/question/subjective/get", datas);
};
export const markSubjectiveQuestionUpload = (datas) => {
  return $post("/api/admin/mark/question/subjective/upload", datas);
};

// mark manage --------->
export const markManageListPage = (datas) => {
  return $postParam("/api/admin/mark/setting/summary", datas);
};
export const markManageListExport = (datas) => {
  return $postParam("/api/admin/mark/setting/export_marker", datas, {
    responseType: "blob",
  });
};

// 评卷管理导出AI统计数据
export const markManageAiStatsExport = (datas) => {
  return $postParam("/api/admin/mark/setting/ai/mark/export", datas, {
    responseType: "blob",
  });
};
export const markManageItemFinish = (datas) => {
  return $postParam("/api/admin/mark/paper/finish", datas);
};
// mark detail
// mark-detail-progress
export const markProgressSummary = (datas) => {
  return $postParam("/api/admin/mark/question/subjective/summary", datas);
};
export const markProgressClassListPage = (datas) => {
  return $postParam("/api/admin/mark/question/subjective/class/summary", datas);
};
export const markProgressMarkerExport = (datas) => {
  return $postParam("/api/admin/mark/setting/export_marker", datas, {
    responseType: "blob",
  });
};
// 终止或开启智能评卷
export const markProgressQuestionAiStatusUpdate = (datas) => {
  return $postParam("/api/admin/mark/question/subjective/ai/enable", datas);
};
// 重置AI智能评卷任务
export const markProgressQuestionAiReset = (questionId) => {
  return $postParam("/api/admin/mark/question/subjective/ai/reset", {
    questionId,
  });
};

// mark-detail-progress-detail
export const markProgressClassQuestionListPage = (datas) => {
  return $postParam("/api/admin/mark/question/subjective/class/detail", datas);
};
// mark-detail-marker
export const markMarkerListPage = (datas) => {
  return $postParam("/api/admin/mark/marker/list", datas);
};
export const markMarkerBind = (datas) => {
  return $post("/api/admin/mark/marker/add", datas);
};
export const markMarkerBindList = (datas) => {
  return $postParam("/api/admin/mark/marker/list_bind_marker", datas);
};
export const markMarkerReset = (datas) => {
  return $postParam("/api/admin/mark/marker/reset", datas);
};
export const markMarkerUnbind = (datas) => {
  return $postParam("/api/admin/mark/marker/delete", datas);
};
export const markMarkerRecycle = (datas) => {
  return $postParam("/api/admin/mark/marker/release", datas);
};
export const markMarkerSetTaskCount = (datas) => {
  return $postParam("/api/admin/mark/marker/setTaskCount", datas);
};
// mark-detail-task
export const markDetailTaskListPage = (datas) => {
  return $postParam("/api/admin/mark/task/list", datas);
};
// 获取题目详情数据
export function markDetailTaskDetail(id) {
  return $postParam("/api/admin/mark/task/track", { id });
}
// mark-detail-reject
export const markRejectHistoryListPage = (datas) => {
  return $postParam("/api/admin/mark/reject/list", datas);
};
// mark-detail-quality
export const markQualityListPage = (datas) => {
  return $postParam("/api/admin/mark/quality/list", datas);
};
export const markQualityUpdate = (datas) => {
  return $postParam("/api/admin/mark/quality/update", datas);
};
export const markQualityChart = (datas) => {
  return $postParam("/api/admin/mark/quality/chart", datas);
};
export const markGroupQuestions = (datas) => {
  return $postParam("/api/admin/mark/question/subjective/number/list", datas);
};
// mark-detail-issue
export const markIssueListPage = (datas) => {
  return $postParam("/api/admin/mark/problem/list", datas);
};
export const markIssueReset = (datas) => {
  return $postParam("/api/admin/mark/problem/reset", datas);
};
// mark-detail-arbitration
export const markArbitrationListPage = (datas) => {
  return $postParam("/api/admin/mark/arbitrate/list", datas);
};

// score check --------->
export const scoreCheckListPage = (datas) => {
  return $postParam("/api/admin/mark/setting/scoreList", datas);
};
export const scoreDetailListPage = (datas) => {
  return $postParam("/api/admin/mark/student/score", datas);
};
export const packageListPage = (datas) => {
  return $postParam("/api/admin/mark/paper/package/list", datas);
};
export const objectiveScoreCalculate = (datas) => {
  return $postParam("/api/admin/mark/student/objective/calculate", datas);
};
export const objectiveScoreBatchCalculate = (datas) => {
  return $postParam("/api/admin/mark/student/objective/calculate_batch", datas);
};
export const scoreDetailListExport = (datas) => {
  return $postParam("/api/admin/mark/student/score/export", datas, {
    responseType: "blob",
  });
};
export const scoreDetailHistoryExport = (datas) => {
  return $postParam("/api/admin/mark/archive/score/history/export", datas, {
    responseType: "blob",
  });
};
// AI智能评卷待复核列表
export const scoreDetailAiCheckList = (datas) => {
  return $postParam("/api/admin/mark/inspected/ai/mark/getTask/count", datas);
};
// score manage --------->
export const scoreListPage = (datas) => {
  return $postParam("/api/admin/mark/archive/score/list", datas);
};
export const scoreTotalAnalysisDownload = (datas) => {
  return $postParam("/api/admin/mark/archive/score/list/export", datas, {
    responseType: "blob",
  });
};
export const scoreAllAnalysisReportDownload = (datas) => {
  return $postParam("/api/admin/mark/archive/score/download", datas, {
    responseType: "blob",
  });
};
export const scoreClassDetailListPage = (datas) => {
  return $postParam("/api/admin/mark/archive/student/list", datas);
};
export const scoreClassDetailScoreExport = (datas) => {
  return $postParam("/api/admin/mark/archive/score/export", datas, {
    responseType: "blob",
  });
};
export const scoreClassDetailScoreDownload = (datas) => {
  return $postParam("/api/admin/mark/archive/score/download", datas, {
    responseType: "blob",
  });
};
export const scoreReport = (datas) => {
  return $postParam("/api/admin/mark/archive/score/report", datas);
};
export const scoreReportExport = (datas) => {
  return $post("/api/admin/mark/archive/score/report/download", datas);
};
